liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::GraphAxisBreak Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
| GraphAxisBreak ()

## Public Attributes
double | from
bool | log10
unsigned char | minorTicksAfter
unsigned char | minorTicksBefore
double | position
double | scaleIncrementAfter
double | scaleIncrementBefore
bool | show
double | to

## Constructor & Destructor Documentation

## ◆ GraphAxisBreak()

Origin::GraphAxisBreak::GraphAxisBreak | ( |  | ) |
| inline

## Member Data Documentation

## ◆ from

double Origin::GraphAxisBreak::from

Referenced by Origin750Parser::readGraphAxisBreakInfo().

## ◆ log10

bool Origin::GraphAxisBreak::log10

Referenced by Origin750Parser::readGraphAxisBreakInfo().

## ◆ minorTicksAfter

unsigned char Origin::GraphAxisBreak::minorTicksAfter

Referenced by Origin750Parser::readGraphAxisBreakInfo().

## ◆ minorTicksBefore

unsigned char Origin::GraphAxisBreak::minorTicksBefore

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ position

double Origin::GraphAxisBreak::position

Referenced by Origin750Parser::readGraphAxisBreakInfo().

## ◆ scaleIncrementAfter

double Origin::GraphAxisBreak::scaleIncrementAfter

Referenced by Origin750Parser::readGraphAxisBreakInfo().

## ◆ scaleIncrementBefore

double Origin::GraphAxisBreak::scaleIncrementBefore

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ show

bool Origin::GraphAxisBreak::show

Referenced by Origin750Parser::readGraphAxisBreakInfo().

## ◆ to

double Origin::GraphAxisBreak::to

Referenced by Origin750Parser::readGraphAxisBreakInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h